//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace RaamatukoguAPP11
{
    using System;
    using System.Collections.Generic;
    
    public partial class Raamat
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Raamat()
        {
            this.Eksemplar = new HashSet<Eksemplar>();
            this.LugemisPäevik = new HashSet<LugemisPäevik>();
        }
    
        public int Kood { get; set; }
        public string Isbn { get; set; }
        public string Tiitel { get; set; }
        public string Autor { get; set; }
        public string Aasta { get; set; }
        public byte[] Pilt { get; set; }
        public Nullable<int> KategooriaKood { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Eksemplar> Eksemplar { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<LugemisPäevik> LugemisPäevik { get; set; }
        public virtual Kategooria Kategooria { get; set; }
    }
}
